QGIS Application - Bug report #10390

QgsGenericProjectionSelector() need two click for to select

2014-05-29 05:38 AM - SC SC

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 18807

Description

when i call QgsGenericProjectionSelector() and open the dialog i need to click twice for to select.

the first click give a generic ™" string

for example in console

a=QgsGenericProjectionSelector()
a.show() // one click only
a.selectedAuthld ()

u

a=QgsGenericProjectionSelector()
a.show()// click twice on monte mario
a.selectedAuthld ()

u'EPSG:3003'

it's a bored problem for build plugin that need choice a SR

History

#1 - 2014-05-29 03:09 PM - Salvatore Larosa

This should be fixed in master, ref. #8298

#2 - 2016-01-18 06:24 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Category changed from Browser to Projection Support

Fixed in master.
